%define kdeprefix /usr
%define version 0.1.8
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  keasycd
Name: %{kdename}
Summary: KEasyCD provides a simple way to create and burn CDs.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.de.kde.org/pub/kde/unstable/apps/multimedia/cdrom/%{kdename}-%{version}.tar.gz
License: GPL
Group: Applications/Multimedia
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport mkhybrid cdrecord cdparanoia-III
Prefix: %{kdeprefix}

%description
KeasyCD is a CD recording frontend for cdrecord, cdda2wav, cdparanoia
and mkisofs. It supports CD-Extra, Multisession, MixedMode CD, On the
fly, and Drag 'n' Drop.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}
rm config.cache
find . -name .deps|xargs rm -rf

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







